Subject: Re: postgres 7.3 IpcSemaphoreCreate: semget(key=1, num=17, 03600)failed: Function not implemented
From: Dan Holmsand <[email-masked]>
To: [email-masked]
Date: Mon, 09 Dec 2002 00:05:16 +0100

Elfyn,

[email-masked] wrote:
> Hi,
> 
> I am getting the exact same results as you are Jari. I had a working
> postgres install just before the return values were changed in cygipc
> (1.12), but as i only use it rarely i did not notice the service starting 
> or not starting up. From what I can see it looks like postgres.exe was not
> linked with libcygipc.a.
> 
> Jason, can you confirm that postgres is working? Is there anyone else with
> the *behaviour*?
> 
> Elfyn
> [email-masked]

I get a similar error:

IpcSemaphoreInitialize: semctl(id=2, 0, SETVAL, 0) failed: Invalid argument

if the account postmaster is running under ("postgres" in my case) 
doesn't have read AND write rights to the /tmp/MultiFile[Sem/Msg/Shm] files.

You may try deleting these files (and /tmp/cygipc_* to be safe), and 
starting ipc_daemon manually from the same account as postmaster is 
running under. Does that make a difference?

I've added a "chown postgres /tmp/MultiFile*" to my start script for 
ipc-daemon, and postgres 7.3 now works beautifully. YMMV, of course.

/dan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/